<?php

namespace Drupal\gbif2_views\Plugin\views\filter;

use Drupal\views\Plugin\views\filter\InOperator;

/**
 * In operator for GBIF.
 */
class GbifInOperator extends InOperator {

  /**
   * {@inheritdoc}
   */
  public function operators() {
    $operators = parent::operators();
    $operators = ['in' => $operators['in']];

    return $operators;
  }

  /**
   * Generate filter.
   */
  public function generate() {
    if (isset($this->value[0])) {
      return [$this->field => $this->value[0]];
    }
    else {
      return [$this->field => $this->value];
    }

    return [];
  }

}
