<?php

namespace Drupal\gbif2_views\Plugin\views\filter;

use Drupal\Core\Form\FormStateInterface;

/**
 * Taxon Key filter handler for GBIF.
 *
 * @ingroup views_filter_handlers
 *
 * @ViewsFilter("gbif_taxon_key")
 */
class GbifTaxonKeyFilter extends GbifFilter {

  /**
   * {@inheritdoc}
   */
  public function valueForm(&$form, FormStateInterface $form_state) {
    parent::valueForm($form, $form_state);

    // Enable completion on taxon key filter.
    $form['value']['#autocomplete_route_name'] = 'gbif2.species_autocomplete';
  }

}
